import numpy as np
import matplotlib
import matplotlib.pyplot as plt

#line_data = [69, 87, 101, 114, 131]

font = {'family' : 'normal',
        'weight' : 'bold',
        'size'   : 14}

matplotlib.rc('font', **font)

#plt.scatter(range(1,6), line_data, s=([100]*10))

#plt.axis([1,6, 0, 150])

#plt.show()


N = 9
ind = np.arange(N)
width = 0.1

c_counts          = [ 0, 4,24,29,30,25,21, 4, 3]
java_counts       = [ 1, 0,20,43, 6,13, 4, 3, 0]
js_counts         = [11,16,44,62,36,35,33,10, 3]
lua_counts        = [ 0, 7,31,53,48,50,30,10, 2]
python_counts     = [ 1, 5,26,37,21,36,23, 6, 5]

fig, ax = plt.subplots()


rects_c      = ax.bar(ind,           c_counts,      width, color='r')
rects_java   = ax.bar(ind + 1*width, java_counts,   width, color='g', hatch='/')
rects_js     = ax.bar(ind + 2*width, js_counts,     width, color='c', hatch='-')
rects_lua    = ax.bar(ind + 3*width, lua_counts,    width, color='y', hatch='.')
rects_python = ax.bar(ind + 4*width, python_counts, width, color='m', hatch='\\')

ax.set_ylabel('Count')
ax.set_title('Difference of Ratings Between Human- and Machine-Transformed Code')
ax.set_xticklabels(('+4','+3','+2','+1','0','-1','-2','-3','-4'))

ax.legend((rects_c[0], rects_java[0], rects_js[0], rects_lua[0], rects_python[0]), ('C','Java','JavaScript','Lua','Python'))

plt.show()
